hpp-corbaserver: hpp::core_idl::Problem Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::core_idl::Problem Interface Reference

`import"/local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/_problem.idl";`

## Public Member Functions
pinocchio_idl::Device | robot () raises (Error)
void | setInitConfig (in floatSeq init) raises (Error)
floatSeq | getInitConfig () raises (Error)
void | addGoalConfig (in floatSeq goal) raises (Error)
void | resetGoalConfigs () raises (Error)
Constraint | getConstraints () raises (Error)
void | setConstraints (in Constraint constraints) raises (Error)
Distance | getDistance () raises (Error)
void | setDistance (in Distance d) raises (Error)
SteeringMethod | getSteeringMethod () raises (Error)
void | setSteeringMethod (in SteeringMethod d) raises (Error)
PathValidation | getPathValidation () raises (Error)
void | setPathValidation (in PathValidation d) raises (Error)
PathProjector | getPathProjector () raises (Error)
void | setPathProjector (in PathProjector p) raises (Error)
ConfigValidation | getConfigValidations () raises (Error)
void | clearConfigValidations () raises (Error)
void | addConfigValidation (in ConfigValidation cfgValidation) raises (Error)
ConfigurationShooter | getConfigurationShooter () raises (Error)
void | setConfigurationShooter (in ConfigurationShooter d) raises (Error)
void | filterCollisionPairs () raises (Error)
void | setSecurityMargins (in floatSeqSeq margins) raises (Error)
void | addObstacle (in pinocchio_idl::CollisionObject _object) raises (Error)
void | setParameter (in string name, in any value) raises (Error)
any | getParameter (in string name) raises (Error)

## Member Function Documentation

## ◆ addConfigValidation()

void hpp::core_idl::Problem::addConfigValidation | ( | in ConfigValidation | cfgValidation | ) |
raises | ( | Error
| ) |  |

## ◆ addGoalConfig()

void hpp::core_idl::Problem::addGoalConfig | ( | in floatSeq | goal | ) |
raises | ( | Error
| ) |  |

## ◆ addObstacle()

void hpp::core_idl::Problem::addObstacle | ( | in pinocchio_idl::CollisionObject | _object | ) |
raises | ( | Error
| ) |  |

## ◆ clearConfigValidations()

void hpp::core_idl::Problem::clearConfigValidations | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ filterCollisionPairs()

void hpp::core_idl::Problem::filterCollisionPairs | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getConfigurationShooter()

ConfigurationShooter hpp::core_idl::Problem::getConfigurationShooter | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getConfigValidations()

ConfigValidation hpp::core_idl::Problem::getConfigValidations | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getConstraints()

Constraint hpp::core_idl::Problem::getConstraints | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getDistance()

Distance hpp::core_idl::Problem::getDistance | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getInitConfig()

floatSeq hpp::core_idl::Problem::getInitConfig | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getParameter()

any hpp::core_idl::Problem::getParameter | ( | in string | name | ) |
raises | ( | Error
| ) |  |

## ◆ getPathProjector()

PathProjector hpp::core_idl::Problem::getPathProjector | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getPathValidation()

PathValidation hpp::core_idl::Problem::getPathValidation | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getSteeringMethod()

SteeringMethod hpp::core_idl::Problem::getSteeringMethod | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ resetGoalConfigs()

void hpp::core_idl::Problem::resetGoalConfigs | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ robot()

pinocchio_idl::Device hpp::core_idl::Problem::robot | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ setConfigurationShooter()

void hpp::core_idl::Problem::setConfigurationShooter | ( | in ConfigurationShooter | d | ) |
raises | ( | Error
| ) |  |

## ◆ setConstraints()

void hpp::core_idl::Problem::setConstraints | ( | in Constraint | constraints | ) |
raises | ( | Error
| ) |  |

## ◆ setDistance()

void hpp::core_idl::Problem::setDistance | ( | in Distance | d | ) |
raises | ( | Error
| ) |  |

## ◆ setInitConfig()

void hpp::core_idl::Problem::setInitConfig | ( | in floatSeq | init | ) |
raises | ( | Error
| ) |  |

## ◆ setParameter()

void hpp::core_idl::Problem::setParameter | ( | in string | name,
|  | in any | value
| ) |  |
raises | ( | Error
| ) |  |

## ◆ setPathProjector()

void hpp::core_idl::Problem::setPathProjector | ( | in PathProjector | p | ) |
raises | ( | Error
| ) |  |

## ◆ setPathValidation()

void hpp::core_idl::Problem::setPathValidation | ( | in PathValidation | d | ) |
raises | ( | Error
| ) |  |

## ◆ setSecurityMargins()

void hpp::core_idl::Problem::setSecurityMargins | ( | in floatSeqSeq | margins | ) |
raises | ( | Error
| ) |  |

Parameters

  margins | a symmetric matrix of size (nbJoints+1) x (nbJoints+1). Each row/column index corresponds to a joint, 0 being for the static world (so obstacle and fixed robot parts).

## ◆ setSteeringMethod()

void hpp::core_idl::Problem::setSteeringMethod | ( | in SteeringMethod | d | ) |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/_problem.idl